Bug 817923 - ath9k: WARNING: at include/net/mac80211.h:3614 rate_control_send_low+0x23e/0x250 [mac80211]()
ath9k: WARNING: at include/net/mac80211.h:3614 rate_control_send_low+0x23e/0x...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
15
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: John W. Linville
Fedora Extras Quality Assurance
abrt_hash:6a006cf521063cbf0e3e066d8b6...
:
: 824157 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-01 15:38 EDT by kubrick@fgv6.net
Modified: 2012-07-11 13:51 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-11 13:51:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description kubrick@fgv6.net 2012-05-01 15:38:20 EDT
abrt version: 2.0.3
architecture:   x86_64
cmdline:        ro root=/dev/mapper/vg_zdmlaptop-lv_root rd_LVM_LV=vg_zdmlaptop/lv_root rd_LVM_LV=vg_zdmlaptop/lv_swap rd_NO_LUKS rd_NO_MD rd_NO_DM LANG=en_US.UTF-8 SYSFONT=latarcyrheb-sun16 KEYTABLE=uk rhgb quiet
comment:        I wasn't doing anything in particular at this exact moment. I was connected to the network via WiFi with a "Network controller: Atheros Communications Inc. AR9300 Wireless LAN adaptor (rev 01)" (168c:0030).
component:      kernel
kernel:         2.6.43.2-6.fc15.x86_64
os_release:     Fedora release 15 (Lovelock)
package:        kernel
reason:         WARNING: at include/net/mac80211.h:3614 rate_control_send_low+0x23e/0x250 [mac80211]()
time:           Tue May  1 19:34:35 2012

backtrace:
:WARNING: at include/net/mac80211.h:3614 rate_control_send_low+0x23e/0x250 [mac80211]()
:Hardware name: Satellite Pro C660
:Modules linked in: ums_realtek usb_storage fuse ebtable_nat ebtables ipt_MASQUERADE iptable_nat nf_nat xt_CHECKSUM iptable_mangle bridge ppdev parport_pc lp parport 8021q garp stp llc sunrpc cpufreq_ondemand acpi_cpufreq freq_table mperf ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 ip6table_filter ip6_tables bnep bluetooth nf_conntrack_ipv4 nf_defrag_ipv4 xt_state nf_conntrack snd_hda_codec_realtek arc4 snd_hda_intel ath9k snd_hda_codec mac80211 ath9k_common uvcvideo ath9k_hw snd_hwdep ath toshiba_acpi r8169 snd_seq snd_seq_device i2c_i801 videobuf2_core videodev media videobuf2_vmalloc videobuf2_memops snd_pcm virtio_net mii sparse_keymap iTCO_wdt iTCO_vendor_support cfg80211 rfkill kvm_intel kvm snd_timer snd soundcore snd_page_alloc joydev microcode intel_ips i915 drm_kms_helper drm i2c_algo_bit i2c_core video [last unloaded: scsi_wait_scan]
:Pid: 6805, comm: kworker/u:20 Not tainted 2.6.43.2-6.fc15.x86_64 #1
:Call Trace:
: [<ffffffff81057abf>] warn_slowpath_common+0x7f/0xc0
: [<ffffffff81057b1a>] warn_slowpath_null+0x1a/0x20
: [<ffffffffa033378e>] rate_control_send_low+0x23e/0x250 [mac80211]
: [<ffffffffa03ec3a8>] ath_get_rate+0x58/0x410 [ath9k]
: [<ffffffffa0333bae>] ? rate_control_get_rate+0xae/0x180 [mac80211]
: [<ffffffffa0333bae>] rate_control_get_rate+0xae/0x180 [mac80211]
: [<ffffffffa033fa0f>] invoke_tx_handlers+0x7cf/0x1400 [mac80211]
: [<ffffffffa031ed5c>] ? sta_info_get+0x6c/0x80 [mac80211]
: [<ffffffffa0340790>] ieee80211_tx+0x60/0xc0 [mac80211]
: [<ffffffffa0340871>] ieee80211_xmit+0x81/0xd0 [mac80211]
: [<ffffffffa0341aaf>] ieee80211_tx_skb_tid+0x5f/0x70 [mac80211]
: [<ffffffffa032ac0b>] ieee80211_send_nullfunc+0x5b/0x70 [mac80211]
: [<ffffffffa032ac82>] ieee80211_mgd_probe_ap_send+0x62/0x100 [mac80211]
: [<ffffffff816157fd>] ? mutex_lock+0x1d/0x50
: [<ffffffffa032d8e0>] ieee80211_sta_work+0x90/0x150 [mac80211]
: [<ffffffffa03313b8>] ieee80211_iface_work+0x2b8/0x350 [mac80211]
: [<ffffffffa0331100>] ? ieee80211_teardown_sdata+0xe0/0xe0 [mac80211]
: [<ffffffff810747ae>] process_one_work+0x11e/0x470
: [<ffffffff810755bf>] worker_thread+0x15f/0x360
: [<ffffffff81075460>] ? manage_workers+0x230/0x230
: [<ffffffff81079da3>] kthread+0x93/0xa0
: [<ffffffff81620f24>] kernel_thread_helper+0x4/0x10
: [<ffffffff81079d10>] ? kthread_freezable_should_stop+0x70/0x70
: [<ffffffff81620f20>] ? gs_change+0x13/0x13
Comment 1 Dave Jones 2012-05-24 11:46:06 EDT
*** Bug 824157 has been marked as a duplicate of this bug. ***
Comment 2 Josh Boyer 2012-07-11 13:51:38 EDT
Fedora 15 has reached it's end of life as of June 26, 2012.  As a result, we will not be fixing any remaining bugs found in Fedora 15.

In the event that you have upgraded to a newer release and the bug you reported is still present, please reopen the bug and set the version field to the newest release you have encountered the issue with.  Before doing so, please ensure you are testing the latest kernel update in that release and attach any new and relevant information you may have gathered.

Thank you for taking the time to file a report.  We hope newer versions of Fedora suit your needs.

Note You need to log in before you can comment on or make changes to this bug.